package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.ThingInfo;


/**
*  service接口类
*/
public interface ThingInfoService{

    List<ThingInfo> getThingInfoList(ThingInfo record);

    List<ThingInfo> getThingInfoByPage(Page page, ThingInfo record);

    ThingInfo getThingInfoById(String id);

    ThingInfo getThingInfo(ThingInfo record);

    boolean createThingInfo(ThingInfo record);

    boolean deleteThingInfo(ThingInfo record);

    boolean updateThingInfo(ThingInfo record);
}

